Groovy 1.7.0

## org.codehaus.groovy.reflection.stdclasses
Class ArrayCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.ArrayCachedClass

    class ArrayCachedClass
    extends CachedClass

author:
  Alex.Tkachman

Constructor Summary
`ArrayCachedClass(Class klazz, ClassInfo classInfo)`

Method Summary
`Object` | `coerceArgument(Object argument)`

Methods inherited from class CachedClass

addNewMopMethods, coerceArgument, doCast, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ArrayCachedClass

    public ArrayCachedClass(Class klazz, ClassInfo classInfo)

Method Detail

### coerceArgument

    public Object coerceArgument(Object argument)

Copyright © 2003-2009 The Codehaus. All rights reserved.